%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	SVG-Parser

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	SVG::Parser - XML Parser for SVG documents
Name:		perl-%{perlname}
Version:	1.01
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=SVG+Parser
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-XML-SAX

%description
SVG::Parser is an XML parser for SVG Documents. It takes XML as input and produces an SVG object as its output.
SVG::Parser supports both XML::SAX and XML::Parser (Expat) parsers, with SAX preferred by default. Only one of these needs to be installed for SVG::Parser to function.
A list of preferred parsers may be specified in the import list - SVG::Parser will use the first parser that successfully loads. Some basic measures are taken to provide cross-compatability.
For more details see: http://search.cpan.org/search?module=%{perlname}

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{perlname}-%{version}

%build
# answer the questions
echo "y" | perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.01-2
- Rebuild against perl 5.10.0
* Mon Feb 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.01-1
- Initial Release
